# PrintBuddy

Tool to manipulate and stream gcode files to a 3D printer.

PrintBuddy is a simple terminal-like tool to help you with your 3D printing jobs. Here's what PrintBuddy can do:

- Load and manipulate `.gcode` files
- Stream gcode to a 3D printer
- Create and apply mesh bed leveling to existing gcode files
- Pause prints at specific layers to change filament
- Allow users to enter raw gcode commands


## Installation

To install PrintBuddy on your machine, please run the following commands.
**Note:** This guide assumes you're running Ubuntu and have Python 3 already installed.

1. Download PrintBuddy: `git clone https://git.bitscuit.be/bitscuit/PrintBuddy.git`
2. Move into the project directory: `cd PrintBuddy`
3. Install the dependecies: `pip3 install pyserial`


## Usage

Once PrintBuddy is installed on your system, you can run it using the following steps:

1. Connect your 3D Printer via USB to your computer.
2. Open a terminal window and move to the `PrintBuddy` directory.
3. Run `python3 main.py`.

**Note:** You may need to give your Ubuntu user permission to communicate with the serial devices. Please lookup a recent guide online to learn how to perform this.


## Disclaimer

This project is available under the [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.en.html).

I am not responsible for any damage PrintBuddy might cause. USE AT YOUR OWN RISK.

This software was developed for the Anet A8 Plus, so PrintBuddy will probably not work on your 3D Printer. Even if you use the same printer as I, PrintBuddy might still behave unexpectedly.


## Contributing

Want to help me to further develop PrintBuddy? Awesome!

Feel free to fork this repository, add new features and create a pull request. It's as simple as that.

Thanks!


